%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname ironicclient

%global common_desc A python and command line client library for Ironic

Name:           python-ironicclient
Version:        2.2.1
Release:        3%{?dist}
Summary:        Python client for Ironic

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-ironicclient
Source0:        https://tarballs.openstack.org/python-ironicclient/python-ironicclient-%{version}%{?milestone}.tar.gz
BuildArch:      noarch


%description
%{common_desc}


%package -n python3-%{sname}
Summary:        Python client for Ironic

BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools

Requires:       python3-appdirs >= 1.3.0
Requires:       python3-dogpile-cache >= 0.6.2
Requires:       python3-jsonschema
Requires:       python3-keystoneauth1 >= 3.3.0
Requires:       python3-pbr >= 2.0.0
Requires:       python3-prettytable
Requires:       python3-six >= 1.10.0
Requires:       python3-osc-lib >= 1.8.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-serialization >= 2.18.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-requests
Requires:       python3-PyYAML

%{?python_provide:%python_provide python3-%{sname}}

%description -n python3-%{sname}
%{common_desc}

%prep
%setup -q -n %{name}-%{upstream_version}

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%py3_build

%install
%py3_install


%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/ironic
%{python3_sitelib}/ironicclient*
%{python3_sitelib}/python_ironicclient*


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 07 2018 Miro Hrončok <mhroncok@redhat.com> - 2.2.1-2
- Subpackage python2-ironicclient has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Tue Jun 19 2018 RDO <dev@lists.rdoproject.org> 2.2.1-1
- Update to 2.2.1

* Sun Feb 11 2018 RDO <dev@lists.rdoproject.org> 2.2.0-1
- Update to 2.2.0

